%define rel 4

Name: accounts-qt
Version: 1.11
Release: %mkrel %{rel}
Summary: Accounts framework Qt bindings
Group:   System/Libraries
License: LGPLv2
URL:    http://code.google.com/p/accounts-sso/
Source0:  https://accounts-sso.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires: pkgconfig(libaccounts-glib)
BuildRequires: pkgconfig(QtCore) < 5.0.0
BuildRequires: doxygen

%description
Framework to provide accounts for Qt.


#------------------------------------------------------------------------------
%define libaccounts_major 1
%define libaccounts_qt %mklibname accounts-qt %{libaccounts_major}

%package -n %{libaccounts_qt}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libaccounts_qt}
Runtime libraries for %{name}

%files -n %{libaccounts_qt}
%{_libdir}/libaccounts-qt.so.%{libaccounts_major}*

#---------------------------------------------------------------------------------
%package doc
Summary: Documentation for %{name}
BuildArch: noarch

%description doc
Documentation for %{name}

%files doc
%{_datadir}/doc/%{name}

#---------------------------------------------------------------------------------
%define libaccounts_devel %mklibname accounts-qt -d 

%package -n %{libaccounts_devel}
Summary:  Headers files for %{name}
Group: Development/KDE and Qt 
Requires: %{libaccounts_qt} = %{version}-%{release}

%description -n %{libaccounts_devel}
Headers files for %{name}

%files -n %{libaccounts_devel}
%{_includedir}/%{name}
%{_libdir}/libaccounts-qt.so
%{_libdir}/cmake/AccountsQt/AccountsQtConfig.cmake
%{_libdir}/cmake/AccountsQt/AccountsQtConfigVersion.cmake
%{_libdir}/pkgconfig/accounts-qt.pc
%{_bindir}/accountstest
%{_datadir}/libaccounts-qt-tests

#------------------------------------------------------------------------------


%prep
%setup -q

%build
%qmake_qt4 QMF_INSTALL_ROOT=%{_prefix}  CONFIG+=release accounts-qt.pro

%make

%install
make install INSTALL_ROOT=%{buildroot}


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.11-4.mga5
+ Revision: 750958
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11-3.mga5
+ Revision: 686444
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.11-2.mga5
+ Revision: 677682
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1.11-1.mga5
+ Revision: 667397
- Update to 1.11
  fix files list

* Mon Oct 21 2013 umeabot <umeabot> 1.9-2.mga4
+ Revision: 540950
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 mikala <mikala> 1.9-1.mga4
+ Revision: 494571
- imported package accounts-qt

